### Enumeration

# CM PusherKind

#### Declaration

    enum CM.PusherKind

#### Description [src]

The type of a `CmPusher`.

#### Members

`CM_PUSHER_KIND_UNKNOWN`

  The type of the pusher is unknown.

  - Value: `0`
  - Available since: 0
`CM_PUSHER_KIND_HTTP`

  A pusher that forwards messages via http.

  - Value: `1`
  - Available since: 0
`CM_PUSHER_KIND_EMAIL`

  A pusher that forwards messages via email.

  - Value: `2`
  - Available since: 0